> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Changelog 2025 12 26T11:56:07Z

### Snag Solutions - API Docs (v 0.1)

***

#### What's Changed

***

##### `GET` /api/users

###### Parameters:

Added: `redditUser` in `query`

> Reddit username of the user

Added: `redditUserId` in `query`

> Reddit ID of the user

##### `GET` /api/loyalty/rule\_edits

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `data` (array)

    Changed items (object):

    * Changed property `data` (object)

      > Data that was changed on the rule

      * Changed property `metadata` (object)
        > Optional metadata for the loyalty rule

    * Changed property `previousData` (object)

      > Previous data of the rule before the edit

      * Changed property `metadata` (object)
        > Optional metadata for the loyalty rule

##### `POST` /api/loyalty/rule\_edits/{id}/restore

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `data` (object)

    > Data that was changed on the rule

    * Changed property `metadata` (object)
      > Optional metadata for the loyalty rule

  * Changed property `previousData` (object)

    > Previous data of the rule before the edit

    * Changed property `metadata` (object)
      > Optional metadata for the loyalty rule

##### `GET` /api/loyalty/rule\_groups

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `data` (array)

    Changed items (object):

    > Schema for a get loyalty rule groups response

    * Changed property `loyaltyGroupItems` (array)

      Changed items (object):

      * Changed property `loyaltyRule` (object)

        * Changed property `type` (string)

          Added enum values:

          * `connected_reddit`
          * `reddit_comment`
        * Changed property `metadata` (object)

          * Added property `redditPostId` (string)
            > ID of the Reddit post.

          * Changed property `socialPlatform` (string)

            > Social media platform associated with the rule.

            Added enum value:

            * `Reddit`

##### `GET` /api/loyalty/rules

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `data` (array)

    Changed items (object):

    * Changed property `metadata` (object)
      > Optional metadata for the loyalty rule

##### `POST` /api/loyalty/rules

###### Request:

Changed content type : `application/json`

* Changed property `type` (string)

  > Type of loyalty rule being created

  Added enum values:

  * `connected_reddit`
  * `reddit_comment`
* Changed property `metadata` (object)

  > Additional metadata for the loyalty rule

  * Added property `redditPostId` (string)
    > ID of the Reddit post.

  * Changed property `socialPlatform` (string)

    > Social media platform associated with the rule.

    Added enum value:

    * `Reddit`

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `type` (string)

    > Type of loyalty rule being created

    Added enum values:

    * `connected_reddit`
    * `reddit_comment`
  * Changed property `metadata` (object)

    > Additional metadata for the loyalty rule

    * Added property `redditPostId` (string)
      > ID of the Reddit post.

    * Changed property `socialPlatform` (string)

      > Social media platform associated with the rule.

      Added enum value:

      * `Reddit`

##### `POST` /api/loyalty/rules/{id}

###### Request:

Changed content type : `application/json`

* Changed property `metadata` (object)

  > Additional metadata for the loyalty rule

  * Added property `redditPostId` (string)
    > ID of the Reddit post.

  * Changed property `socialPlatform` (string)

    > Social media platform associated with the rule.

    Added enum value:

    * `Reddit`

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `metadata` (object)

    > Additional metadata for the loyalty rule

    * Added property `redditPostId` (string)
      > ID of the Reddit post.

    * Changed property `socialPlatform` (string)

      > Social media platform associated with the rule.

      Added enum value:

      * `Reddit`

#### Result

***

API changes broke backward compatibility
